Bug 1552448 - Bump python-jinja2 to version 2.10
Summary: Bump python-jinja2 to version 2.10
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: openstack-octavia
Version: trunk
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: trunk
Assignee: Carlos Goncalves
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On: 1552192
Blocks: 1551821
TreeView+ depends on / blocked
 
Reported: 2018-03-07 07:50 UTC by Carlos Goncalves
Modified: 2019-09-10 14:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-08 18:35:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 12808 None None None 2018-03-07 14:35:40 UTC
RDO 12810 None None None 2018-03-07 14:50:04 UTC

Description Carlos Goncalves 2018-03-07 07:50:20 UTC
Starting from Queens, Octavia requires jinja2 >= 2.10. The current version of jinja is too told (2.8.x) which breaks things in Octavia side. See bz#1551821

As soon as jinja 2.10 is available (bz#1551821) we will need to adjust the required jinja version by bumping it in the Octavia .spec file.

Comment 1 Nir Magnezi 2018-03-08 15:43:14 UTC
Update: Both linked RDO patches got merged.

Comment 2 Carlos Goncalves 2018-03-08 18:35:56 UTC
Octavia .spec fix merged and latest published RDO queens and master packages require python2-jinja2 >= 2.10

$ rpm -q --requires python-octavia-2.0.1-0.20180308104615.9f379ae.el7.centos.noarch.rpm | grep jinja
python2-jinja2 >= 2.10


Note You need to log in before you can comment on or make changes to this bug.